/* HeuristicLab
* Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
*
* This file is part of HeuristicLab.
*
* HeuristicLab is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* HeuristicLab is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
*/

/* Source based on lrslib's chdemo.c 
Copyright: David Avis 2001, avis@cs.mcgill.ca 
Licensed under the GNU GPL
*/

#include "lrslib.h"

#ifdef __cplusplus
extern "C" {
#endif

void fill_data (lrs_dic *P, lrs_dat *Q, long *num, long *den);  
double get_volume (lrs_dic *P, lrs_dat *Q);
__declspec(dllexport) double calculate_volume(int numPoints, int dimension, long *num, long *den);

#ifdef __cplusplus
}
#endif
